import { jsx } from "react/jsx-runtime";
import { TokenSKEY as TokenSKEY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSKEY = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SKEY", "data-name": "TokenSKEY", ...props, children: /* @__PURE__ */ jsx(TokenSKEY$1, { variant }) });
  }
);
TokenSKEY.displayName = "TokenSKEY";
Object.assign(TokenSKEY, { isGdsIcon: true });
export {
  TokenSKEY
};
